OpenJPEG: opj_tccp Struct Reference

OpenJPEG 2.3.0

Data Fields
opj_tccp Struct Reference
J2K - JPEG-2000 codestream reader/writer

Tile-component coding parameters More...

`#include <j2k.h>`

## Data Fields
OPJ_UINT32 | csty
| coding style More...
OPJ_UINT32 | numresolutions
| number of resolutions More...
OPJ_UINT32 | cblkw
| code-blocks width More...
OPJ_UINT32 | cblkh
| code-blocks height More...
OPJ_UINT32 | cblksty
| code-block coding style More...
OPJ_UINT32 | qmfbid
| discrete wavelet transform identifier More...
OPJ_UINT32 | qntsty
| quantisation style More...
opj_stepsize_t | stepsizes [OPJ_J2K_MAXBANDS]
| stepsizes used for quantization More...
OPJ_UINT32 | numgbits
| number of guard bits More...
OPJ_INT32 | roishift
| Region Of Interest shift. More...
OPJ_UINT32 | prcw [OPJ_J2K_MAXRLVLS]
| precinct width More...
OPJ_UINT32 | prch [OPJ_J2K_MAXRLVLS]
| precinct height More...
OPJ_INT32 | m_dc_level_shift
| the dc_level_shift More...

## Detailed Description

Tile-component coding parameters

## Field Documentation

## ◆ cblkh

OPJ_UINT32 opj_tccp::cblkh

code-blocks height

Referenced by j2k_get_cstr_info(), opj_j2k_compare_SPCod_SPCoc(), opj_j2k_copy_tile_component_parameters(), opj_j2k_dump_tile_info(), opj_j2k_read_SPCod_SPCoc(), opj_j2k_setup_encoder(), opj_j2k_write_SPCod_SPCoc(), and opj_tcd_init_tile().

## ◆ cblksty

OPJ_UINT32 opj_tccp::cblksty

code-block coding style

Referenced by j2k_get_cstr_info(), opj_j2k_compare_SPCod_SPCoc(), opj_j2k_copy_tile_component_parameters(), opj_j2k_dump_tile_info(), opj_j2k_read_SPCod_SPCoc(), opj_j2k_setup_encoder(), opj_j2k_write_SPCod_SPCoc(), opj_t1_clbl_decode_processor(), opj_t1_encode_cblks(), opj_t2_read_packet_header(), and opj_tcd_t1_decode().

## ◆ cblkw

OPJ_UINT32 opj_tccp::cblkw

code-blocks width

Referenced by j2k_get_cstr_info(), opj_j2k_compare_SPCod_SPCoc(), opj_j2k_copy_tile_component_parameters(), opj_j2k_dump_tile_info(), opj_j2k_read_SPCod_SPCoc(), opj_j2k_setup_encoder(), opj_j2k_write_SPCod_SPCoc(), and opj_tcd_init_tile().

## ◆ csty

OPJ_UINT32 opj_tccp::csty

coding style

Referenced by j2k_get_cstr_info(), opj_j2k_compare_coc(), opj_j2k_compare_SPCod_SPCoc(), opj_j2k_dump_tile_info(), opj_j2k_get_SPCod_SPCoc_size(), opj_j2k_read_coc(), opj_j2k_read_cod(), opj_j2k_read_SPCod_SPCoc(), opj_j2k_setup_encoder(), opj_j2k_write_coc_in_memory(), and opj_j2k_write_SPCod_SPCoc().

## ◆ m_dc_level_shift

OPJ_INT32 opj_tccp::m_dc_level_shift

the dc_level_shift

Referenced by opj_j2k_add_mct(), opj_j2k_read_mco(), opj_j2k_read_siz(), opj_j2k_setup_encoder(), opj_j2k_setup_mct_encoding(), and opj_tcd_dc_level_shift_encode().

## ◆ numgbits

OPJ_UINT32 opj_tccp::numgbits

number of guard bits

Referenced by j2k_get_cstr_info(), opj_j2k_compare_SQcd_SQcc(), opj_j2k_copy_tile_quantization_parameters(), opj_j2k_dump_tile_info(), opj_j2k_read_SQcd_SQcc(), opj_j2k_setup_encoder(), opj_j2k_write_SQcd_SQcc(), and opj_tcd_init_tile().

## ◆ numresolutions

OPJ_UINT32 opj_tccp::numresolutions

number of resolutions

Referenced by j2k_get_cstr_info(), opj_dwt_calc_explicit_stepsizes(), opj_get_all_encoding_parameters(), opj_get_encoding_parameters(), opj_j2k_compare_SPCod_SPCoc(), opj_j2k_compare_SQcd_SQcc(), opj_j2k_copy_tile_component_parameters(), opj_j2k_dump_tile_info(), opj_j2k_encoding_validation(), opj_j2k_get_SPCod_SPCoc_size(), opj_j2k_get_SQcd_SQcc_size(), opj_j2k_read_cod(), opj_j2k_read_SPCod_SPCoc(), opj_j2k_set_decoded_resolution_factor(), opj_j2k_setup_encoder(), opj_j2k_write_poc_in_memory(), opj_j2k_write_SPCod_SPCoc(), opj_j2k_write_SQcd_SQcc(), opj_pi_create(), and opj_tcd_init_tile().

## ◆ prch

OPJ_UINT32 opj_tccp::prch[OPJ_J2K_MAXRLVLS]

precinct height

Referenced by j2k_get_cstr_info(), opj_get_all_encoding_parameters(), opj_get_encoding_parameters(), opj_j2k_compare_SPCod_SPCoc(), opj_j2k_copy_tile_component_parameters(), opj_j2k_dump_tile_info(), opj_j2k_read_SPCod_SPCoc(), opj_j2k_setup_encoder(), opj_j2k_write_SPCod_SPCoc(), opj_tcd_decode_tile(), opj_tcd_encode_tile(), and opj_tcd_init_tile().

## ◆ prcw

OPJ_UINT32 opj_tccp::prcw[OPJ_J2K_MAXRLVLS]

precinct width

Referenced by j2k_get_cstr_info(), opj_get_all_encoding_parameters(), opj_get_encoding_parameters(), opj_j2k_compare_SPCod_SPCoc(), opj_j2k_copy_tile_component_parameters(), opj_j2k_dump_tile_info(), opj_j2k_read_SPCod_SPCoc(), opj_j2k_setup_encoder(), opj_j2k_write_SPCod_SPCoc(), opj_tcd_decode_tile(), opj_tcd_encode_tile(), and opj_tcd_init_tile().

## ◆ qmfbid

OPJ_UINT32 opj_tccp::qmfbid

discrete wavelet transform identifier

Referenced by j2k_get_cstr_info(), opj_dwt_calc_explicit_stepsizes(), opj_j2k_compare_SPCod_SPCoc(), opj_j2k_copy_tile_component_parameters(), opj_j2k_dump_tile_info(), opj_j2k_mct_validation(), opj_j2k_read_SPCod_SPCoc(), opj_j2k_setup_encoder(), opj_j2k_write_SPCod_SPCoc(), opj_t1_clbl_decode_processor(), opj_t1_encode_cblks(), opj_tcd_dc_level_shift_encode(), opj_tcd_dwt_decode(), opj_tcd_dwt_encode(), opj_tcd_init_tile(), opj_tcd_is_subband_area_of_interest(), opj_tcd_mct_decode(), opj_tcd_mct_encode(), and opj_tcd_t1_encode().

## ◆ qntsty

OPJ_UINT32 opj_tccp::qntsty

quantisation style

Referenced by j2k_get_cstr_info(), opj_dwt_calc_explicit_stepsizes(), opj_j2k_compare_SQcd_SQcc(), opj_j2k_copy_tile_quantization_parameters(), opj_j2k_dump_tile_info(), opj_j2k_get_SQcd_SQcc_size(), opj_j2k_read_SQcd_SQcc(), opj_j2k_setup_encoder(), and opj_j2k_write_SQcd_SQcc().

## ◆ roishift

OPJ_INT32 opj_tccp::roishift

Region Of Interest shift.

Referenced by j2k_get_cstr_info(), opj_j2k_dump_tile_info(), opj_j2k_read_rgn(), opj_j2k_setup_encoder(), opj_j2k_write_regions(), opj_j2k_write_rgn(), and opj_t1_clbl_decode_processor().

## ◆ stepsizes

opj_stepsize_t opj_tccp::stepsizes[OPJ_J2K_MAXBANDS]

stepsizes used for quantization

Referenced by j2k_get_cstr_info(), opj_dwt_calc_explicit_stepsizes(), opj_j2k_compare_SQcd_SQcc(), opj_j2k_copy_tile_quantization_parameters(), opj_j2k_dump_tile_info(), opj_j2k_read_SQcd_SQcc(), opj_j2k_write_SQcd_SQcc(), and opj_tcd_init_tile().

The documentation for this struct was generated from the following file:

- j2k.h